

.wp-timeline {
    overflow: hidden;
    padding: 2em 0;
    background-color: var(--grey-10);
    background: url('../../css/images/ma-timeline-bg.png');
    background-size: cover;
    background-position: center center;
}


/* Container */

.wp-timeline-container {
    position: relative;
    padding: 1.25em 0;
}

.wp-timeline-container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 18px;
    height: 100%;
    width: 4px;
/*    background: hsl(205, 38%, 89%);*/
/*    background: var(--grey-75)*/
/*}*/
/*.dot-vertical-line {*/
    border: 6px solid transparent;
    border-top: none;
    border-bottom: none;
    /*border-left: none;*/
    border-right: none;

    border-image: url('../../css/images/dot-border.png') 7 / 1 / 0 round;
}

.wp-timeline-content > .bg-ma-cream > .d-flex {
    background-color: var(--color-primary-d2);
}


@media (min-width: 768px) {
    .wp-timeline-container::before {
        left: 50%;
        -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        transform: translateX(-50%)
    }
}


/* Block */

.wp-timeline-block {
    display: -ms-flexbox;
    display: flex;
    position: relative;
    z-index: 1;
    margin-bottom: 2em;
}

.wp-timeline-block:last-child {
    margin-bottom: 0
}

@media (min-width: 768px) {
    .wp-timeline-block:nth-child(odd) {
        -ms-flex-direction: row-reverse;
        flex-direction: row-reverse
    }
}


/* Image / Timeline Marker */

.wp-timeline-img {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    /*box-shadow: 0 0 0 4px hsl(0, 0%, 100%), inset 0 2px 0 rgba(0, 0, 0, 0.08), 0 3px 0 4px rgba(0, 0, 0, 0.05);*/
    /*box-shadow: 0 0 0 4px white, inset 0 2px 0 rgba(0, 0, 0, 0.08), 0 3px 0 4px rgba(0, 0, 0, 0.05)*/
}

.wp-timeline-img img {
    width: 24px;
    height: 24px
}

.wp-timeline-marker {
    width: 20px;
    height: 20px;
    background: var(--color-secondary);
    overflow: hidden;
    border-radius: 50%;
    border: 3px solid white;
}

@media (min-width: 768px) {
    .wp-timeline-img {
        width: 60px;
        height: 70px;
        -ms-flex-order: 1;
        order: 1;
        margin-left: calc(5% - 30px);
        will-change: transform;

        /*flex-direction: column;*/
    }

    .wp-timeline-block:nth-child(odd) .wp-timeline-img {
        margin-right: calc(5% - 30px)
    }
}


/* Block Content */

.wp-timeline-content {
    -ms-flex-positive: 1;
    flex-grow: 1;
    position: relative;
    margin-left: 1.25em;
    background: none;
}

.wp-timeline-content p {
    margin-bottom: 0;
}

.wp-timeline-content::before {
    content: '';
    position: absolute;
    top: 16px;
    right: 100%;
    width: 0;
    height: 0;
    border: 7px solid transparent;
}

@media (min-width: 768px) {
    .wp-timeline-content {
        width: 45%;
        -ms-flex-positive: 0;
        flex-grow: 0;
        will-change: transform;
        margin: 0;
        font-size: 0.8em;
        --line-height-multiplier: 1.2
    }

    .wp-timeline-content::before {
        top: 24px
    }

    .wp-timeline-block:nth-child(even) .wp-timeline-content::before {
        right: auto;
        left: 100%;
        width: 0;
        height: 0;
        border: 12px solid transparent;
        border-left-color: var(--color-ma-cream)
    }
    .wp-timeline-block:nth-child(odd) .wp-timeline-content::before {
        right: 100%;
        left: auto;
        width: 0;
        height: 0;
        border: 12px solid transparent;
        border-right-color: var(--color-ma-cream)
    }
}


/* Block Date */

.wp-timeline-date {
}

@media (min-width: 768px) {
    .wp-timeline-date {
        position: absolute;
        width: 100%;
        left: 120%;
        top: 20px
    }

    .wp-timeline-block:nth-child(odd) .wp-timeline-date {
        left: auto;
        right: 120%;
        text-align: right
    }
}








/* Animations */

@media (min-width: 768px) {

    .wp-timeline-img--hidden,
    .wp-timeline-content--hidden {
        visibility: hidden
    }

    .wp-timeline-img--bounce-in {
        -webkit-animation: cd-bounce-1 0.6s;
        animation: cd-bounce-1 0.6s
    }

    .wp-timeline-content--bounce-in {
        -webkit-animation: cd-bounce-2 0.6s;
        animation: cd-bounce-2 0.6s
    }

    .wp-timeline-block:nth-child(odd) .wp-timeline-content--bounce-in {
        -webkit-animation-name: cd-bounce-2-inverse;
        animation-name: cd-bounce-2-inverse
    }
}

@-webkit-keyframes cd-bounce-1 {
    0% {
        opacity: 0;
        -webkit-transform: scale(0.5);
        transform: scale(0.5)
    }

    60% {
        opacity: 1;
        -webkit-transform: scale(1.2);
        transform: scale(1.2)
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@keyframes cd-bounce-1 {
    0% {
        opacity: 0;
        -webkit-transform: scale(0.5);
        transform: scale(0.5)
    }

    60% {
        opacity: 1;
        -webkit-transform: scale(1.2);
        transform: scale(1.2)
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@-webkit-keyframes cd-bounce-2 {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-100px);
        transform: translateX(-100px)
    }

    60% {
        opacity: 1;
        -webkit-transform: translateX(20px);
        transform: translateX(20px)
    }

    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@keyframes cd-bounce-2 {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-100px);
        transform: translateX(-100px)
    }

    60% {
        opacity: 1;
        -webkit-transform: translateX(20px);
        transform: translateX(20px)
    }

    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@-webkit-keyframes cd-bounce-2-inverse {
    0% {
        opacity: 0;
        -webkit-transform: translateX(100px);
        transform: translateX(100px)
    }

    60% {
        opacity: 1;
        -webkit-transform: translateX(-20px);
        transform: translateX(-20px)
    }

    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@keyframes cd-bounce-2-inverse {
    0% {
        opacity: 0;
        -webkit-transform: translateX(100px);
        transform: translateX(100px)
    }

    60% {
        opacity: 1;
        -webkit-transform: translateX(-20px);
        transform: translateX(-20px)
    }

    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}


